org.bouncycastle.jce.spec

## Class ECNamedCurveParameterSpec

- java.lang.Object
- - org.bouncycastle.jce.spec.ECParameterSpec
  - - org.bouncycastle.jce.spec.ECNamedCurveParameterSpec

All Implemented Interfaces:
  java.security.spec.AlgorithmParameterSpec

    public class ECNamedCurveParameterSpec
    extends ECParameterSpec

specification signifying that the curve parameters can also be refered to by name.

If you are using JDK 1.5 you should be looking at ECNamedCurveSpec.

### Constructor Summary

Constructors
Constructor and Description
`ECNamedCurveParameterSpec(java.lang.String name, org.bouncycastle.math.ec.ECCurve curve, org.bouncycastle.math.ec.ECPoint G, java.math.BigInteger n)`
`ECNamedCurveParameterSpec(java.lang.String name, org.bouncycastle.math.ec.ECCurve curve, org.bouncycastle.math.ec.ECPoint G, java.math.BigInteger n, java.math.BigInteger h)`
`ECNamedCurveParameterSpec(java.lang.String name, org.bouncycastle.math.ec.ECCurve curve, org.bouncycastle.math.ec.ECPoint G, java.math.BigInteger n, java.math.BigInteger h, byte[] seed)`

### Method Summary

Methods
`java.lang.String` `getName()` return the name of the curve the EC domain parameters belong to.

### Methods inherited from class org.bouncycastle.jce.spec.ECParameterSpec

`equals, getCurve, getG, getH, getN, getSeed, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ECNamedCurveParameterSpec

    public ECNamedCurveParameterSpec(java.lang.String name,
                             org.bouncycastle.math.ec.ECCurve curve,
                             org.bouncycastle.math.ec.ECPoint G,
                             java.math.BigInteger n)

#### ECNamedCurveParameterSpec

    public ECNamedCurveParameterSpec(java.lang.String name,
                             org.bouncycastle.math.ec.ECCurve curve,
                             org.bouncycastle.math.ec.ECPoint G,
                             java.math.BigInteger n,
                             java.math.BigInteger h)

#### ECNamedCurveParameterSpec

    public ECNamedCurveParameterSpec(java.lang.String name,
                             org.bouncycastle.math.ec.ECCurve curve,
                             org.bouncycastle.math.ec.ECPoint G,
                             java.math.BigInteger n,
                             java.math.BigInteger h,
                             byte[] seed)

### Method Detail

#### getName

    public java.lang.String getName()

return the name of the curve the EC domain parameters belong to.